within SorpLib.Icons;
partial package MassTransfersPackage "Icon for packages containing mass transfer models"
  extends Modelica.Icons.Package;

  annotation (Icon(graphics={
        Ellipse(
          extent={{84,60},{-36,-60}},
          lineColor={0,0,0},
          fillColor={175,175,175},
          fillPattern=FillPattern.Solid),
        Polygon(
          points={{-8,54},{-4,46},{-4,38},{-2,32},{2,26},{10,16},{24,14},{56,14},
              {54,8},{44,8},{22,10},{20,6},{28,2},{44,0},{50,-4},{52,-10},{50,-20},
              {46,-26},{42,-34},{32,-38},{22,-40},{16,-40},{6,-36},{8,-32},{14,-36},
              {22,-36},{30,-34},{36,-28},{42,-22},{44,-14},{42,-8},{36,-6},{30,-4},
              {26,-2},{20,0},{16,4},{18,-2},{24,-8},{30,-16},{24,-16},{20,-8},{14,
              -2},{12,2},{14,8},{10,12},{4,16},{0,18},{0,14},{-2,10},{0,8},{0,2},
              {0,0},{0,-2},{2,-4},{4,-6},{8,-12},{0,-6},{0,-10},{0,-12},{0,-20},
              {-6,-26},{-4,-10},{-2,-4},{-6,-2},{-20,0},{-26,4},{-24,6},{-12,2},
              {-4,0},{-4,6},{-6,10},{-10,12},{-18,20},{-24,30},{-18,26},{-6,14},
              {-4,20},{-6,26},{-10,32},{-6,40},{-8,54}},
          lineColor={0,0,0},
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid,
          smooth=Smooth.Bezier),
        Text(
          extent={{-36,78},{-16,58}},
          lineColor={0,0,0},
          fillColor={255,255,255},
          fillPattern=FillPattern.None,
          textString="D",
          textStyle={TextStyle.Italic}),
        Line(
          points={{-20,64},{-14,60},{-8,52}},
          color={0,140,72},
          smooth=Smooth.Bezier,
          arrow={Arrow.None,Arrow.Filled},
          thickness=0.5),
        Line(
          points={{-6,50},{-6,42},{-2,28},{8,16},{18,8},{24,0},{38,-4},{48,-12},
              {44,-24},{32,-36},{16,-38},{8,-34}},
          color={0,140,72},
          thickness=0.5,
          smooth=Smooth.Bezier,
          arrow={Arrow.None,Arrow.Filled}),
        Ellipse(
          extent={{-8,52},{-6,50}},
          lineColor={0,140,72},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{8,-32},{10,-34}},
          lineColor={0,140,72},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-64,50},{-56,58}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-56,38},{-48,46}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-70,30},{-62,38}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-56,18},{-48,26}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-68,10},{-60,18}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-56,0},{-48,8}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-80,18},{-72,26}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-80,42},{-72,50}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-52,60},{-44,68}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-76,62},{-68,70}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-62,72},{-54,80}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-78,-2},{-70,6}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-66,-8},{-58,0}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-52,-20},{-44,-12}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-70,-24},{-62,-16}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-84,-16},{-76,-8}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-82,-36},{-74,-28}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-60,-36},{-52,-28}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-44,-42},{-36,-34}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-72,-52},{-64,-44}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-56,-54},{-48,-46}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{-82,-66},{-74,-58}},
          lineColor={28,108,200},
          lineThickness=0.5,
          fillColor={28,108,200},
          fillPattern=FillPattern.Solid)}),
          Documentation(info="<html>
<p>
This icon indicates a package containing mass transfer models.
</p>
</html>", revisions="<html>
<ul>
  <li>
  October 26, 2023, by Mirko Engelpracht:<br/>
  First implementation after restructuring the library.
  </li>
</ul>
</html>"));
end MassTransfersPackage;
