within SorpLib.Icons;
partial package RecoolersPackage "Icon for packages containing recoolers"
  extends Modelica.Icons.Package;

  annotation (Documentation(info="<html>
<p>
This icon indicates a package containing recooler models.
</p>
</html>", revisions="<html>
<ul>
  <li>
  October 26, 2023, by Mirko Engelpracht:<br/>
  First implementation after restructuring the library.
  </li>
</ul>
</html>"), Icon(coordinateSystem(preserveAspectRatio=false), graphics={
        Polygon(
          points={{-100,40},{-100,-40},{-60,-60},{60,-60},{100,-40},{100,40},{60,
              60},{-60,60},{-100,40}},
          lineColor={0,0,0},
          lineThickness=0.5,
          fillColor={255,255,255},
          fillPattern=FillPattern.Solid),
        Line(
          points={{-100,0},{-80,60},{-60,-60},{-40,60},{-20,-60},{0,60},{20,-60},
              {40,60},{60,-60},{80,60},{98,0}},
          color={28,108,200},
          thickness=1,
          smooth=Smooth.Bezier),
        Line(
          points={{0,-10},{0,10}},
          color={244,125,35},
          thickness=0.5,
          smooth=Smooth.Bezier,
          arrow={Arrow.Filled,Arrow.None},
          origin={-60,-46},
          rotation=180),
        Line(
          points={{0,-10},{0,10}},
          color={244,125,35},
          thickness=0.5,
          smooth=Smooth.Bezier,
          arrow={Arrow.Filled,Arrow.None},
          origin={-40,-46},
          rotation=180),
        Line(
          points={{0,-10},{0,10}},
          color={244,125,35},
          thickness=0.5,
          smooth=Smooth.Bezier,
          arrow={Arrow.Filled,Arrow.None},
          origin={-20,-46},
          rotation=180),
        Line(
          points={{0,-10},{0,10}},
          color={244,125,35},
          thickness=0.5,
          smooth=Smooth.Bezier,
          arrow={Arrow.Filled,Arrow.None},
          origin={0,-46},
          rotation=180),
        Line(
          points={{0,-10},{0,10}},
          color={244,125,35},
          thickness=0.5,
          smooth=Smooth.Bezier,
          arrow={Arrow.Filled,Arrow.None},
          origin={20,-46},
          rotation=180),
        Line(
          points={{0,-10},{0,10}},
          color={244,125,35},
          thickness=0.5,
          smooth=Smooth.Bezier,
          arrow={Arrow.Filled,Arrow.None},
          origin={40,-46},
          rotation=180),
        Line(
          points={{0,-10},{0,10}},
          color={244,125,35},
          thickness=0.5,
          smooth=Smooth.Bezier,
          arrow={Arrow.Filled,Arrow.None},
          origin={60,-46},
          rotation=180),
        Line(
          points={{0,-10},{0,10}},
          color={238,46,47},
          thickness=0.5,
          smooth=Smooth.Bezier,
          arrow={Arrow.Filled,Arrow.None},
          origin={-60,46},
          rotation=180),
        Line(
          points={{0,-10},{0,10}},
          color={238,46,47},
          thickness=0.5,
          smooth=Smooth.Bezier,
          arrow={Arrow.Filled,Arrow.None},
          origin={-40,46},
          rotation=180),
        Line(
          points={{0,-10},{0,10}},
          color={238,46,47},
          thickness=0.5,
          smooth=Smooth.Bezier,
          arrow={Arrow.Filled,Arrow.None},
          origin={-20,46},
          rotation=180),
        Line(
          points={{0,-10},{0,10}},
          color={238,46,47},
          thickness=0.5,
          smooth=Smooth.Bezier,
          arrow={Arrow.Filled,Arrow.None},
          origin={0,46},
          rotation=180),
        Line(
          points={{0,-10},{0,10}},
          color={238,46,47},
          thickness=0.5,
          smooth=Smooth.Bezier,
          arrow={Arrow.Filled,Arrow.None},
          origin={20,46},
          rotation=180),
        Line(
          points={{0,-10},{0,10}},
          color={238,46,47},
          thickness=0.5,
          smooth=Smooth.Bezier,
          arrow={Arrow.Filled,Arrow.None},
          origin={40,46},
          rotation=180),
        Line(
          points={{0,-10},{0,10}},
          color={238,46,47},
          thickness=0.5,
          smooth=Smooth.Bezier,
          arrow={Arrow.Filled,Arrow.None},
          origin={60,46},
          rotation=180),
        Ellipse(
          extent={{-60,64},{0,58}},
          lineColor={0,0,0},
          fillColor={0,0,0},
          fillPattern=FillPattern.Solid),
        Ellipse(
          extent={{0,64},{60,58}},
          lineColor={0,0,0},
          fillColor={0,0,0},
          fillPattern=FillPattern.Solid)}));
end RecoolersPackage;
